Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# Oscl_TAlloc< T, Alloc > Class Template Reference
[OSCL Base]

`#include <oscl_defalloc.h>`

Inheritance diagram for Oscl_TAlloc< T, Alloc >:

## Public Types
typedef T | value_type
typedef T * | pointer
typedef const T * | const_pointer
typedef uint32 | size_type
typedef T & | reference
typedef const T & | const_reference
## Public Methods
virtual | ~Oscl_TAlloc ()
pointer | allocate_fl (uint32 size, const char *file_name, const int line_num)
pointer | allocate (uint32 size)
pointer | alloc_and_construct_fl (const_reference val, const char *file_name, const int line_num)
pointer | alloc_and_construct (const_reference val)
void | deallocate (OsclAny *p)
void | deallocate (OsclAny *p, size_type n)
void | destruct_and_dealloc (OsclAny *p)
pointer | address (reference r)
const_pointer | address (const_reference r) const
void | construct (pointer p, const_reference val)
void | destroy (pointer p)

### template<class T, class Alloc>
class Oscl_TAlloc< T, Alloc >

## Member Typedef Documentation

template<class T, class Alloc>
typedef const T* Oscl_TAlloc< T, Alloc >::const_pointer

template<class T, class Alloc>
typedef const T& Oscl_TAlloc< T, Alloc >::const_reference

template<class T, class Alloc>
typedef T* Oscl_TAlloc< T, Alloc >::pointer

template<class T, class Alloc>
typedef T& Oscl_TAlloc< T, Alloc >::reference

template<class T, class Alloc>
typedef uint32 Oscl_TAlloc< T, Alloc >::size_type

template<class T, class Alloc>
typedef T Oscl_TAlloc< T, Alloc >::value_type

## Constructor & Destructor Documentation

template<class T, class Alloc>
virtual Oscl_TAlloc< T, Alloc >::~Oscl_TAlloc | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T, class Alloc>
const_pointer Oscl_TAlloc< T, Alloc >::address | ( | const_reference | r | ) | const`[inline]`

template<class T, class Alloc>
pointer Oscl_TAlloc< T, Alloc >::address | ( | reference | r | ) | `[inline]`

template<class T, class Alloc>
pointer Oscl_TAlloc< T, Alloc >::alloc_and_construct | ( | const_reference | val | ) | `[inline]`

template<class T, class Alloc>
pointer Oscl_TAlloc< T, Alloc >::alloc_and_construct_fl | ( | const_reference | val,
|  | const char * | file_name,
|  | const int | line_num
| ) | `[inline]`

template<class T, class Alloc>
pointer Oscl_TAlloc< T, Alloc >::allocate | ( | uint32 | size | ) | `[inline]`

template<class T, class Alloc>
pointer Oscl_TAlloc< T, Alloc >::allocate_fl | ( | uint32 | size,
|  | const char * | file_name,
|  | const int | line_num
| ) | `[inline]`

template<class T, class Alloc>
void Oscl_TAlloc< T, Alloc >::construct | ( | pointer | p,
|  | const_reference | val
| ) | `[inline]`

template<class T, class Alloc>
void Oscl_TAlloc< T, Alloc >::deallocate | ( | OsclAny * | p,
|  | size_type | n
| ) | `[inline]`

template<class T, class Alloc>
void Oscl_TAlloc< T, Alloc >::deallocate | ( | OsclAny * | p | ) | `[inline]`

template<class T, class Alloc>
void Oscl_TAlloc< T, Alloc >::destroy | ( | pointer | p | ) | `[inline]`

template<class T, class Alloc>
void Oscl_TAlloc< T, Alloc >::destruct_and_dealloc | ( | OsclAny * | p | ) | `[inline, virtual]`

| Implements OsclDestructDealloc.

The documentation for this class was generated from the following file:

- oscl_defalloc.h